Subject: bug#51767: 29.0.50; :weight=regular still resolving to medium font weight

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Nov 2021 19:41:59 +0200

[Please use Reply All to keep the bug tracker on the CC list.]

> Date: Thu, 11 Nov 2021 12:00:50 -0500
> From: Nick <[email-masked]>
> 
> Hey Eli, thanks for the reply. I definitely have the font installed, 
> I've attached a picture of `gtk2fontsel` showing the font.

But the fact that it says "regular" in the font selection dialog
doesn't yet mean its weight is indeed "regular".  Emacs looks at the
numerical value of this attribute, so if the font says "regular" but
its weight is more like "medium", that is what you will get.  Do you
see both "medium" and "regular" in that list (the screenshot doesn't
show the entire list, so I cannot be sure)?

I attach the screenshot you sent, so it will be available from the bug
tracker.